verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.6*

# Update licpoll configuration.
system ConfPatch.exe "%installdir%\Configuration\Components\licpoll.xml" "Configuration\licpoll.xml" licpoll.log.debug-level licpoll.log.unique-files licpoll.log.unique-files.delete-old licpoll.log.input-data licpoll.working-dir licpoll.primetime licpoll.period licpoll.offset licpoll.use-agent-name licpoll.temp-file licpoll.include_exclude licpoll.abaqus-mapfile licpoll.timeout licpoll.data-format.old.dir=licpoll.old-format licpoll.data-format.new.dir=licpoll.working-dir licpoll.license-types.flex.active licpoll.license-types.flex.type licpoll.license-types.flex.interval licpoll.license-types.flex.offset licpoll.license-types.flex.license-file licpoll.license-types.flex.license-dir licpoll.license-types.flex.status-command licpoll.license-types.flex.status-command.arguments licpoll.license-types.simple-flex.type licpoll.license-types.simple-flex.interval licpoll.license-types.simple-flex.offset licpoll.license-types.simple-flex.license-file licpoll.license-types.simple-flex.license-dir licpoll.license-types.simple-flex.status-command licpoll.license-types.simple-flex.status-command.arguments licpoll.license-types.ABAQUS.active licpoll.license-types.ABAQUS.type licpoll.license-types.ABAQUS.interval licpoll.license-types.ABAQUS.offset licpoll.license-types.ABAQUS.status-command licpoll.license-types.ABAQUS.status-command.arguments licpoll.license-types.IBM_LUM.active licpoll.license-types.IBM_LUM.type licpoll.license-types.IBM_LUM.interval licpoll.license-types.IBM_LUM.offset licpoll.license-types.IBM_LUM.status-command licpoll.license-types.IBM_LUM.status-command.arguments licpoll.server-name


# Stop service.
# (The service may not be running, so we don't quit if we fail to stop it.)
die off
system net stop openit

# Copy configuration.
system copy "Configuration\licpoll.xml" "%installdir%\Configuration\Components\"
system copy "Configuration\licpoll.mess" "%installdir%\Configuration\LogMessages\"

# Copy binaries.
system copy "bin\Licpoll.exe" "%installdir%\bin\"

# Start service again.
system net start openit
